Welcome to the new monday developer community
Discussions category for everything related to app development on top of monday.com
Recently active
Hi there, I want to add an item using the following mutation: mutation ($bid: Int!, $gid: String!, $name: String!, $cnames: JSON!) { create_item(board_id: $bid, group_id: $gid, item_name: $name, column_values: $cnames) { id state created_at creator { id name } column_values { id value text } } } I have a problem with a status column: if using an index to specify the desired status, it’s fine: { "bid": 343506767, "gid": "new_group", "name":"item created using APIv2", "cnames": "{\\"link\\" : {\\"url\\":\\"http://www.monday.com\\",\\"text\\":\\"Monday\\"}, \\"id1\\":\\"123456789\\", \\"status\\" : { \\"index\\" : \\"1\\" }}" } If I try to set the column status using a label, the status value I pass to the mutation is ignored all-together, the default value is assigned to the column. Here’s an example of the variables I’m using for the second query: { "bid": 343506767, "gid": "new_group", "name":"item created us
Hey there, I’m trying to solve a flow in which an agent registers a tasks and gets that task assigned to him/herself. I’m not being able to get information of the creator of the pulse from the API. How can I do that?
Hi. I am trying to update a column value using the following query: mutation {change_column_value (board_id: #######, item_id: #######, column_id: \\"text\\", value: \\"hello\\") {name}} And creating a new item with given values using the following query: mutation {create_item (board_id: ########, item_name: \\"New Item\\", column_values: \\"{\\\\\\'text\\\\\\': \\\\\\'hello\\\\\\'}\\") {id}} However I get Internal Server Error (500). What is the problem with these queries? Note: A column with the id ‘text’ does exist in the board I have no problem creating an item with empty column_values (just {}), nor any problem in reading board contents. The stringified JSON (the arg of column_values) is generated automatically by str(dict). Thanks!
Hi, really need your help, im trying to post some data from a website into monday this is the below code. I am new to php and monday, can you please help me with this? Its urgent if(isset($_POST[‘submit’])){ // all the datas are saved into the variables here fro the global variables; $name = $_POST['Name']; $email = $_POST['Email']; $phone = $_POST['Phone']; $message = $_POST['Message']; $user_ip = $_SERVER['REMOTE_ADDR']; $browser = $_SERVER['HTTP_USER_AGENT']; date_default_timezone_set('Asia); $date = date('d/m/Y h:i:s a', time()); if($message == “”){ $message = “NIL”; } $recipient = “email_id” ; $subject = "Message from ".$name ; $message = " **Name:** ".$name. " **Email:** " .$email. " **Phone:** " .$phone. " **Message:** " .$message. " **Ip Address:** " .$user_ip. " **Browser:** " .$browser. " **Date:** " .$date. “ ” ; $body = "<html>\\n"; $body .= "<body style=\\"font-family:Verdana, Verdana, Geneva, sans-serif; font-size:12px; color:#666666;\\">
I want to get specific column values from all items in two groups present within one board. For example, if there is a group with a list of items and each has an address and a phone number, I want to return those addresses and numbers (the column IDs could be something like “text2” and “number2”). What is the query for this?
I’m utilising Postman to create a new item with populated columns, however I’ve hit a problem where the item is created, but the fields remain blank. This is my syntax mutation { create_item ( board_id: 283592949, group_id: “For Consideration”, item_name: “New Suggestion”, column_values:" { \\“Priority\\” : {\\“label\\” : \\“Low\\”}, \\“Your_Name\\”:\\“Hello world\\”, \\“Department\\” :\\“Hello world\\” }" ) { id } } If I try mutation { create_item ( board_id: 283592949, group_id: “For Consideration”, item_name: “New Suggestion”, column_values:" { \\“text\\”:\\“Hello world\\”, \\“text\\” :\\“Hello world2\\” }" ) { id } } Then the left most text field is populated with “Hello world2” GraphQL is new to me, so I’m sure I’m missing something obvious, but after going through the examples on here and the documentation I’m no closer to getting this to work. Any help you can offer is greatly appreciated.
Hello, As the title suggests, I wonder if there is a way to query for all the pulses on a specific board using APIs v2. I tried but I could not find a way to “pass” the board Id as a parameter.
Moderator edit: we now have quickstart guides that walk new users through this. Here are links to our guides in Python, PHP and Javascript. I’d like figure out how to set up a mutation call to post an entire pulse and its column values. In the documentation it says the argument should take “column_valuesJSON” however I’m wondering how to configure this correctly. Would it be in the following configuration, or do you have to create the item, then a PUT call for each column_value? Thank you for feedback here. mutation { create_item (board_id: 20178755, group_id: "today", item_name: "new item", column_values: {???} ) { id } } I will post to this once I find the correct way of doing this, but if anyone has a good example, please share, it will save me tons of time. I would think you have to create the item/pulse first.
Hi, I’m just wondering which url would I call to make a query or mutation? Also is there instructions on how to authenticate the call? Perviously in v1 it would have gone at the end of the url. This question is on my list of things to understand, or needing to figure out, while transitioning to graph QL from Rest. However, If anyone wants to show a quick example, that would be always ☀️ 😀
I’m using the following mutation to create and item and set a due date column’s date & time: mutation { create_item(board_id: 329635761, group_id: “Today”, item_name: “new item 1234”, column_values: “{"date48": {"date": "2019-05-03", "time": "11:25:00"}}”) { id } } Everything works fine, except that when I go to the data in Monday, the time has shifted too UTC. For example, the 11:25:00 above shows up in Monday as being due 06:25:00. My timezone in my Monday settings is for GMT-6. So, 06:25:00 would be the correct time in GMT (as adjusted for daylights savings time). Any idea why this is happening? I want the time in the due date column to show in my local time zone.
Hey @Stephen Continuing the discussion from Basic PHP API v2 Example: I think the issue here is that your query string has mismatched quotes, so our server is trying to parse “:” as the string instead of “Trainer” 🙂 Let me know if that helps! I’m not a PHP expert and I’m sure other folks on the community can assist here as well. 💯 Cheers, Dipro
Hi. I am new here. I tried to use the CURL example of modifying a column in my board. I copied the V2 API Token from my Admin Profile and pasted in the authorization tag. My Code: curl -X POST -H “Content-Type:application/json” -H “Authorization:XXXXXXX” “https://api.monday.com/v2” -d ‘{“query”:“mutation{change_column_value(item_id:323796391, board_id:321744566, column_id: “Customer”, value:”\\“Hello world\\”“){name}}”}’ I am receiving the below error message: Response Header HTTP/1.1 401 Unauthorized Date: Sun, 15 Sep 2019 16:20:59 GMT Content-Type: application/json; charset=utf-8 Transfer-Encoding: chunked Connection: keep-alive Set-Cookie: __cfduid=dac7d794b02f898fa3de2443fee6aefc21568564459; expires=Mon, 14-Sep-20 16:20:59 GMT; path=/; domain=.monday.com; HttpOnly; Secure Status: 401 Unauthorized Vary: Origin Cache-Control: no-cache X-Request-Id: 58c52b37-c4cc-4b1f-a47f-c0de6481a57a X-Runtime: 0.012797 Expect-CT: max-age=604800, report-uri=“https://report-uri.cloudflare.com/cdn-cg
Hi, I am just looking for a way to simply call a board via API and retrieve all pulses to be available in simple JSON or XML format to convert to a table. The help will be highly appreciated. Thanks
I was wondering if it’s possible to update the “existing” values for a status or dropdown column using the API. For example, if we have a status column named “Stage” that has possible values of “Ready”, “Editing”, and “Finished”, I would like to programmatically add a possible value called “Draft”.
Hello, with the v2 API in can’t read boards with state != “active” How can i check if a board is archived or deleted ? Thanks
Hi I wonder how can i get to know the create_at date of a board cuz it’s not in the board response schema and i’ve been trying to get around that by updates created_at property but with no luck Appreciate your help, Thanks, Youssef
Hey, I am using the API to create a new column of email type. This correctly creates a column with email value and some display text. However, when I use the update multiple columns mutation I get an invalid value exception.
Hello all, I’m trying to get any information via HTTP GET request and it seems that I’m doing something wrong, can anyone give me some examples to use this method? Example for what I’m trying to do: https://api.monday.com/v2/Authorization:/boards/<BOARD_ID> And it doesn’t work…
I’ve been trying to get the create_item mutation to work for a little while now but the server response tells me there’s a JSON parse error. I’ve tried escaping my column values manually and with JSON.stringify() but I always get the same error. Any help is much appreciated! Here’s my query: const mutation = ` mutation { create_item(board_id: MY_BOARD_ID, item_name: "a new item", column_values: "{\\"check\\": {\\"checked\\": \\"true\\"}}") { id } } `; return fetch('https://api.monday.com/v2/', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Authorization': process.env.MONDAY_TOKEN, }, body: JSON.stringify({ query: mutation }), }) .then(response => response.json()); And here’s the error I get back in the response: errors: [ { message: 'Parse error on ": {" (STRING) at [3, 84]', locations: [Array] } ]
Hi. I want to get all data from all boards. Now I know how to get all boards and items ids, but what about columns? I try use this: query { boards(ids:XXX) { id name items(ids:XXX) { name id creator { id name } created_at column_values { title value text } } } } This three fields, is everything what i found here: title value text And it looks like some of them contain null values. For example, some column values is collection of labels. And some values is calendar date. How do I get them all? Thank you.
Greetings! I’m trying to use the api version 2 of your plataform, and i’m receiving the following error: Syntax Error GraphQL request (1:105) Expected :, found String “: {” I’m using python version 3.6 with gql module. This occurs when i try a mutation in a board. Here is the query: query = gql(“”" mutation {change_multiple_column_values (board_id: XXXXXXXX , item_id: XXXXXXX, column_values: “{“dma2”: {"index": "teste"}}”) {id}} “”") The query to select data is ok when i test with the same module and script. Could you please help-me with this problem?
I currently have basic text query mutations working just fine; however, I have a few fields that would be better suited to long-text, date, or dropdown datatypes. I’ve read through the documentation on mutating a few different datatypes, but I have had no luck using either the GraphiQL interface or my own Python script. If I try to mutate non-text fields, they just come up blank. Any examples of working syntax would be greatly appreciated.
There doesn’t seem to be a way to query board’s pulses by updated_at_desc, which is supported on API v1: https://monday.com/developers/#!/boards/GET_version_boards_board_id_pulses_format. Is custom ordering not supported on v2, or am I missing something in the documentation?
Hello, I am using “https://api.monday.com/v2/” as the URL and the following cURL options : “-X POST” & ¶ & “-H "Content-Type:application/json"” & ¶ & “-H "Authorization:[APIv2_token]"” & ¶ & “-d ‘{"query":"{boards {id}}"}’” I try to make a query but I keep receiving an empty response. Can you tell me what is wrong?
I can’t add multiple columns during add new pulse, kindly help me <?php $column_valuess = array( '0' => array( 'id' => 'name', 'type' => 'name', 'title' => 'Name', "width"=> 264, 'value' => 'value' ), '1' => array( "type"=> "text", "title"=> "First Name", "id"=> "text1", "value"=> "text1" ), '2'=>array( "type"=> "text", "title"=> "Last Name", "id"=> "first_name", 'value' => 'value' ), '3' =>array( "title"=> "Email", "type" => "text", "id" => "text6", "width"=> 126, 'value' => 'value' ), '4' =>array( "title"=> "Address", "type"=> "text", "id"=> "text7" ), '5' =>array( "title"=> "City", "type"=> "text", "id"=> "text78" ), '6' =>array( "title"=> "State", "type"=> "text", "id"=> "text53" ), '7' =>array( "title"=> "Country", "type"=> "country", "id"=> "country" ), '8' =>array( "type"=> "text
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.